Error adding files to Institution pages

Bug #1255361 reported by Robert Lyon on 2013-11-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Unassigned
1.6
Medium
Unassigned
1.7
Medium
Unassigned
1.8
Medium
Unassigned

Bug Description

When I try to add an image attachment to an Institution page I get the following error:
   A nonrecoverable error occurred. This probably means that you have encountered a bug in the system.
This error happens in 1.6, 1.7, 1.8

To replicate:

1) Got to Administration -> Institutions - make sure you have an institution other than default one
2) Add some image files to the institution (Administration -> Institutions -> Files)
3) Add a page to the institution (Administration -> Institutions -> Pages) and try to add an image block to the page - when you select the file and hit save it gives you the error.

Robert Lyon (robertl-9) wrote :

https://reviews.mahara.org/#/c/2758
Have made patch for this problem

Reviewed: https://reviews.mahara.org/2758
Committed: http://gitorious.org/mahara/mahara/commit/6ce2ece916e37c4afb940e4ef91aa236ac89ba93
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 6ce2ece916e37c4afb940e4ef91aa236ac89ba93
Author: Robert Lyon <email address hidden>
Date: Mon Dec 2 08:16:18 2013 +1300

Allowing non-institution site admins to publish (bug #1255361)

Currently, if a site admin tries to edit an institution page and
attach a file to a block (eg image block) and they don't belong to
that institution, the process fails.

Have altered the can_publish_artefact() to allow those that can edit
institutions to be allowed to also publish.

Change-Id: I05a2160e84814add067019e4bde654a6ebd561b1
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2772
Committed: http://gitorious.org/mahara/mahara/commit/07627f8765f9824a20d2900a1557a5ff1b536dbe
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.8_STABLE

commit 07627f8765f9824a20d2900a1557a5ff1b536dbe
Author: Robert Lyon <email address hidden>
Date: Mon Dec 2 08:16:18 2013 +1300

Allowing non-institution site admins to publish (bug #1255361)

Currently, if a site admin tries to edit an institution page and
attach a file to a block (eg image block) and they don't belong to
that institution, the process fails.

Have altered the can_publish_artefact() to allow those that can edit
institutions to be allowed to also publish.

Change-Id: I05a2160e84814add067019e4bde654a6ebd561b1
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2771
Committed: http://gitorious.org/mahara/mahara/commit/5c1ca13218931b25e7c6f521531651b38c75ab6e
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.7_STABLE

commit 5c1ca13218931b25e7c6f521531651b38c75ab6e
Author: Robert Lyon <email address hidden>
Date: Mon Dec 2 08:16:18 2013 +1300

Allowing non-institution site admins to publish (bug #1255361)

Currently, if a site admin tries to edit an institution page and
attach a file to a block (eg image block) and they don't belong to
that institution, the process fails.

Have altered the can_publish_artefact() to allow those that can edit
institutions to be allowed to also publish.

Change-Id: I05a2160e84814add067019e4bde654a6ebd561b1
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/2770
Committed: http://gitorious.org/mahara/mahara/commit/2fe347c0a8041f467519633766821072afbc1a7c
Submitter: Son Nguyen (<email address hidden>)
Branch: 1.6_STABLE

commit 2fe347c0a8041f467519633766821072afbc1a7c
Author: Robert Lyon <email address hidden>
Date: Mon Dec 2 08:16:18 2013 +1300

Allowing non-institution site admins to publish (bug #1255361)

Currently, if a site admin tries to edit an institution page and
attach a file to a block (eg image block) and they don't belong to
that institution, the process fails.

Have altered the can_publish_artefact() to allow those that can edit
institutions to be allowed to also publish.

Change-Id: I05a2160e84814add067019e4bde654a6ebd561b1
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2013-12-18
Changed in mahara:
status: Fix Committed → Fix Released
Aaron Wells (u-aaronw) on 2014-04-03
no longer affects: mahara/1.9
Robert Lyon (robertl-9) on 2014-04-22
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers